PlotEmbed {EmbedSOM} | R Documentation

## Helper function for plotting the embedding

### Description

Takes the 'embed' object which is the output of EmbedSOM, together with a multitude of arguments that override how the plotting is done.

### Usage

    PlotEmbed(embed, value = 0, red = 0, green = 0, blue = 0,
      fr = PlotId, fg = PlotId, fb = PlotId, fv = PlotId, powr = 0,
      powg = 0, powb = 0, powv = 0, clust = NULL, nbin = 256,
      maxDens = NULL, fdens = sqrt, limit = 0.01, alpha = NULL, fsom,
      data, col, cluster.colors = ClusterPalette,
      expression.colors = ExpressionPalette,
      na.color = grDevices::rgb(0.75, 0.75, 0.75, if (is.null(alpha)) 0.5
      else alpha/2), plotf = PlotDefault, ...)

### Arguments

`embed` | The embedding from EmbedSOM
`value` | The column of data to use for plotting the value
`red, green, blue` | The same for RGB components
`fv, fr, fg, fb` | Functions to transform the values before they are normalized
`powv, powr, powg, powb` | Adjustments of the value plotting
`clust` | Cluster labels (used as factor)
`nbin, maxDens, fdens` | Parameters of density calculation, see PlotData
`limit` | Low/high offset for NormalizeColor
`alpha` | Default alpha value
`fsom` | FlowSOM object
`data` | Data matrix, taken from fsom parameter by default
`col` | Different coloring, if supplied
`cluster.colors` | Function to generate cluster colors, default ClusterPalette
`expression.colors` | Function to generate expression color scale, default ExpressionPalette
`na.color` | Color to assign to NA values
`plotf` | Plot function, defaults to slightly decorated 'graphics::plot'
`...` | Extra params passed to the plot function

### Examples

    EmbedSOM::PlotEmbed(cbind(rnorm(1e5),rnorm(1e5)))

[Package EmbedSOM version 1.9.1 Index]